package cn.reghao.tnb.content.api.iface;

import cn.reghao.tnb.content.api.dto.ItemSnapshot;

/**
 * @author reghao
 * @date 2024-12-04 11:37:08
 */
public interface MallService {
    void updateCancelOrder(long productId, int amount);
    double getProductPrice(long itemId);
    void deleteCartItem(long userId, long productId);
    ItemSnapshot getItemSnapshot(long orderId);
    long getSellerId(long itemId);
}
